Name: jffmpeg
Version: 1.1.0
Release: alt1

Summary: Codec pack for the Java Media Framework
License: GPL
Group: Video

URL: http://jffmpeg.sourceforge.net/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: %name-%version.src.tar.gz
Source2: %name.jmf.properties

Patch0: jffmpeg-jmf.patch
Patch1: jffmpeg-make.patch
Patch2: jffmpeg-codec-id.patch
Patch3: jffmpeg-ffmpeg.patch

PreReq: jmf

# Automatically added by buildreq on Mon Sep 24 2007
BuildRequires: /proc j2se1.5-sun-devel ant jmf libavcodec-devel

%description
Jffmpeg is a plugin that allows the playback of a number of common audio and video formats.
It is based around a Java port of parts of the FFMPEG project, supporting a number
of codecs in pure Java code. Where codecs have not yet been ported, a JNI wrapper allows
calls directly into the full FFMPEG code.

%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n %name

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make ANT_HOME="env -i /usr" \
	JAVA_HOME=/usr/lib/jvm/java \
	JMF_HOME=/usr/share/java/jmf  \
	FFMPEG_DIR=/usr/include

%install
mkdir -p %buildroot%_datadir/java/jmf
install -m644 build/dist/%name.jar %buildroot%_datadir/java/
install -m644 %SOURCE2 %buildroot%_datadir/java/jmf/jmf.properties.%name
install -pD -m644 build/dist/lib%name.so %buildroot%_libdir/lib%name.so

mkdir -p %buildroot%_altdir
cat > %buildroot%_altdir/%name <<EOF
%_datadir/java/jmf/jmf.properties       %_datadir/java/jmf/jmf.properties.%name   20
EOF

%post
%register_alternatives %name

%postun
%unregister_alternatives %name

%files
%_altdir/%name
%_libdir/*.so
%_datadir/java/%name.jar
%_datadir/java/jmf/jmf.properties.%name

%changelog
* Mon Sep 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt1
- initial release

